org.eclipse.emf.cdo.util

## Class OptimisticLockingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.ConcurrentAccessException
        - - org.eclipse.emf.cdo.util.OptimisticLockingException

- All Implemented Interfaces:
    java.io.Serializable

      public class OptimisticLockingException
      extends ConcurrentAccessException

  A `concurrent access exception` that indicates that the repository can not acquire optimistic locks for some of the locally modified objects.

  It's usually possible and adequate to attempt to commit the transaction again (optimistic strategy). Pessimistic `locks` can help to avoid the problematic situation (see also `CDOAutoLocker`) at commit time.

  The optimistic locking timeout can be configured on the server side:

          <property name="optimisticLockingTimeout" value="10000"/>

  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptimisticLockingException(java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `isLocal, wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptimisticLockingException

          public OptimisticLockingException(java.lang.String message)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html